## org.eclipse.datatools.sqltools.sqlbuilder.views
Class GridViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
                                  org.eclipse.datatools.sqltools.sqlbuilder.views.GridViewer

All Implemented Interfaces:
  org.eclipse.jface.action.IMenuListener, org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

Direct Known Subclasses:
  GroupByContentViewer.GroupExpressionListGridViewer, InsertGridViewer, InsertSelectViewer.ColumnListGridViewer, SelectGridViewer

    public abstract class GridViewer

extends NavigableTableViewer
implements org.eclipse.jface.action.IMenuListener

Base class for the select/update/insert table

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`copyright`

Constructor Summary
`GridViewer(SQLDomainModel domainModel, org.eclipse.swt.widgets.Composite parent)`

Method Summary
`ComboBoxCellEditor` `getColumnComboBoxCellEditor()`
`int` `getTotalRdbColumn()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`getNavigator, setCellEditors`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, remove, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IMenuListener
`menuAboutToShow`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### GridViewer

    public GridViewer(SQLDomainModel domainModel,
                      org.eclipse.swt.widgets.Composite parent)

Method Detail

### getColumnComboBoxCellEditor

    public ComboBoxCellEditor getColumnComboBoxCellEditor()

### getTotalRdbColumn

    public int getTotalRdbColumn()

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `NavigableTableViewer`